<?php
namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;

class MemberRedirect
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {

        // 使用 'member' 守卫检查是否已登录
        if (Auth::guard('member')->check()) {

            $loginUrlPath = parse_url(route('login'), PHP_URL_PATH);
            if ($request->is('login')) {
                return redirect()->route('member.index');
            }

        }

        return $next($request);
    }
}
